# The UDS Collection

## Download and Installation

back to main page

## Download

You can download the latest sources here:

latest stable version (0.9.5)
  uds-0.9.5.tar.bz2
  uds-0.9.5.tar.gz
class reference for version 0.9.5
  uds_ref-0.9.5.tar.bz2
  uds_ref-0.9.5.tar.gz

You should have a look at the release notes.
Older versions and references are available at
http://frost.flewid.de/dist/uds-[version].tar.[bz2|gz]
http://frost.flewid.de/dist/uds_ref-[version].tar.[bz2|gz]

## Compilation and Installation

in most cases
`# configure && make`
and (as root)
`# make install`
should do the trick.
Nevertheless you should have a look at the lists of configure options and required software.

### configure options

In addition to the options that are available by default UDS supports the following options:

--enable-debug
  Create debugging information. Enabled by default.
--enable-optimization=[speed|size]
  Optimize for speed or size. When neither "speed" nor "size" is specified, standard optimization (-O2) is used. Enabled by default.
--enable-arch[=arch]
  Enable architecture specific optimizations at the cost of backward compatibility. If "arch" is not specified, the output of `uname -m` is assumed.
  This option is disabled unless you optimize explicitly for speed or size.
--enable-profiling
  Create profiling info. Disabled by default.
--with-addr2line[=prog]
  Use prog as translator symbol-address -> source-location. Default is addr2line.
--with-libudsthread
  Build libudsthread. Since this option is enabled by default unless libpthread was not found, you might want to uds --without-libudsthread if you won't need it.

### required / additional software

You should use a recent version of gcc; 2.95.2 and 2.95.3 are fine. However, UDS might not work with experimental compiler snapshots. Get gcc at gcc.gnu.org. If you want to change the configure files, you need recent versions of autoconf and automake to rebuild them. Get them at www.gnu.org. The online reference was generated with the doxygen documentation tool. Doxygen can use the GraphViz package to create graphical diagrams.